See also: automatic_api.md

where are most of my notes?

annoying bug: 
* [cascade: true does not delete related entities](https://github.com/typeorm/typeorm/issues/5043)

https://openbase.com/js/postgraphile
* note this UI is cool maybe copy it

https://stackoverflow.com/questions/53943375/is-it-possible-to-get-rid-of-the-data-nodes-fields

downsides of graphQL: https://mobile.twitter.com/kentcdodds/status/1235716666559873025

## alternatives
https://github.com/hasura/graphql-engine

subzero
